package ru.yandex.webmaster3.storage.notifications;


import ru.yandex.webmaster3.core.util.enums.IntEnum;
import ru.yandex.webmaster3.core.util.enums.IntEnumResolver;

/**
 * @author avhaliullin
 */
public enum SendByChannelResult implements IntEnum {
    NOT_PROCESSED(0),
    SENT(1),
    FAIL(2),
    ;

    private final int value;

    SendByChannelResult(int value) {
        this.value = value;
    }

    @Override
    public int value() {
        return value;
    }

    public static final IntEnumResolver<SendByChannelResult> R = IntEnumResolver.r(SendByChannelResult.class);
}
